> For the complete documentation index, see [llms.txt](https://docs.ok-sky.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ok-sky.com/webhook/events/kind-of-support-event.md).

# kind of support event

### Support Object

サポートが開始・終了したことを示すEvent Objectです。

| Field            | Type     | Description    |
| ---------------- | -------- | -------------- |
| id               | integer  | サポート固有のID      |
| room\_id         | integer  | ルーム固有のID       |
| start\_time      | datetime | 開始日時           |
| end\_time        | datetime | 終了日時           |
| created\_at      | datetime | 作成日時           |
| updated\_at      | datetime | 更新日時           |
| user\_id         | integer  | 担当している接客者固有のID |
| self\_comment    | text     | コメント           |
| self\_evaluation | text     | 評価             |

sample:

```
{
  "action": "create",
  "object_name": "Support",
  "object": {
    "id": 259,
    "room_id": 615,
    "start_time": "2021-04-16T13:42:53.282+09:00",
    "end_time": null,
    "created_at": "2021-04-16T13:42:53.284+09:00",
    "updated_at": "2021-04-16T13:42:53.284+09:00",
    "user_id": 1,
    "self_comment": null,
    "self_evaluation": null
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ok-sky.com/webhook/events/kind-of-support-event.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
